<template>
  <v-card class="step">
      <v-row align="center">
        <v-col cols="6" class="text-h5">Premature QRS complex is slightly widened</v-col>
        <v-col cols="1">
          <v-switch v-model="prematureJunctionalBeat"></v-switch>
        </v-col>
        <v-col cols="1">
          <v-icon>
            $PrematureJunctionalBeat
          </v-icon>
        </v-col>
      </v-row>
      <v-row align="center">
        <v-col cols="6" class="text-h5">The QRS complex is much wider taller and deeper than a normal QRS, following it is a pause before the next P-QRS</v-col>
        <v-col cols="1">
          <v-switch v-model="prematureVentricularBeat"></v-switch>
        </v-col>
        <v-col cols="1">
          <v-icon>
            $PrematureVentricularBeat
          </v-icon>
        </v-col>
      </v-row>
      <v-row align="center">
        <v-col cols="6" class="text-h5">The P wave and QRS complex is missing in a place where it should have been, the rhythm continues as if nothing happened</v-col>
        <v-col cols="1">
          <v-switch v-model="sinusBlock"></v-switch>
        </v-col>
        <v-col cols="1">
          <v-icon>
            $SinusBlock
          </v-icon>
        </v-col>
      </v-row>

    <v-row class="mt-10">
      <v-col>
        <v-alert class="text-h6" border="left" color="pink" dark v-for="item in stepConclusions('rhythmIII')" :key="item.diagnosis">
          {{ item.motivation + ': '}} <span class="font-weight-bold">{{item.diagnosis}}</span>
        </v-alert>
      </v-col>
    </v-row>
  </v-card>
</template>

<script>
import { mapGetters, mapState } from 'vuex';

export default {
  name: 'RhythmIII',
  computed: {
    ...mapState(['prematureJunctionalBeat', 'prematureVentricularBeat', 'sinusBlock']),
    ...mapGetters([
      'stepConclusions',
    ]),
    prematureJunctionalBeat: {
      get() {
        return this.$store.state.prematureJunctionalBeat;
      },
      set(value) {
        this.$store.commit('setPrematureJunctionalBeat', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    prematureVentricularBeat: {
      get() {
        return this.$store.state.prematureVentricularBeat;
      },
      set(value) {
        this.$store.commit('setPrematureVentricularBeat', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    sinusBlock: {
      get() {
        return this.$store.state.sinusBlock;
      },
      set(value) {
        this.$store.commit('setSinusBlock', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
  },
}
</script>

<style scoped>

</style>
